<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.core.resources.IFile"
            id="com.irtsaintexupery.fiacre.simulator.msc.generator.contribution1">
         <menu
               label="Fiacre MSC generator"
               path="additions"
               id="com.irtsaintexupery.fiacre.simulator.msc.generator.menu1">
            <separator
                  name="group1">
            </separator>
         </menu>
         <action
               label="Generate MSC"
               class="com.irtsaintexupery.fiacre.simulator.msc.generator.popup.actions.GenerateMSC"
               menubarPath="com.irtsaintexupery.fiacre.simulator.msc.generator.menu1/group1"
               enablesFor="1"
               id="com.irtsaintexupery.fiacre.simulator.msc.generator.newAction">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            class="com.irtsaintexupery.fiacre.simulator.msc.generator.WorkbenchPreferencePage"
            id="com.irtsaintexupery.fiacre.simulator.msc.generator.page1"
            name="Fiacre MSC generator">
      </page>
   </extension>

</plugin>
